Subject: bug#5725: 23.1.94; list_system_processes for BSD_SYSTEM (with patch)

From: Chong Yidong <[email-masked]>
Date: Sat, 21 Apr 2012 18:24:48 +0800

Hi Leo,

[Disconnecting Bug#5725 from Bug#5243]

I committed Eduard Wiebe's patch in Bug#5243 to trunk.  If his
implementation of system_process_attributes does not compile on Darwin,
and you have a separate one that works, could you add yours under a
different #elif?

Also, if the list_system_processes part works on Darwin, the relevant
#elif, from his patch, should be changed to BSD_SYSTEM; please check
that if you can, and amend as necessary.

Thanks.